Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.analysis.plugin.reader.tcp
Class TCPReader

    java.lang.Object
      kieker.analysis.analysisComponent.AbstractAnalysisComponent
          kieker.analysis.plugin.AbstractPlugin
              kieker.analysis.plugin.reader.AbstractReaderPlugin
                  kieker.analysis.plugin.reader.tcp.TCPReader

All Implemented Interfaces:
  IAnalysisComponent, IPlugin, IReaderPlugin

    public final class TCPReader

extends AbstractReaderPlugin

This is a reader which reads the records from a TCP port.

Since:
  1.8
Author:
  Jan Waller

Nested Class Summary

Nested classes/interfaces inherited from interface kieker.analysis.plugin.IPlugin
`IPlugin.PluginInputPortReference, IPlugin.STATE`

Field Summary
`static String` | `CONFIG_PROPERTY_NAME_PORT1` The name of the configuration determining the TCP port.
`static String` | `CONFIG_PROPERTY_NAME_PORT2` The name of the configuration determining the TCP port.
`static String` | `OUTPUT_PORT_NAME_RECORDS` The name of the output port delivering the received records.

Fields inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`CONFIG_NAME`

Constructor Summary
`TCPReader(Configuration configuration, IProjectContext projectContext)`

Method Summary
`Configuration` | `getCurrentConfiguration()` This method should deliver a `Configuration` object containing the current configuration of this instance.
`boolean` | `init()` Initiates the start of a component.
`boolean` | `read()` Starts the reader.
`void` | `terminate(boolean error)` Initiates a termination of the plugin.

Methods inherited from class kieker.analysis.plugin.AbstractPlugin
`areAllRepositoryPortsConnected, connect, connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getIncomingPlugins, getPluginDescription, getPluginName, getState, isConnectionAllowed, shutdown, start`

Methods inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kieker.analysis.plugin.IPlugin
`connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getName, getPluginDescription, getPluginName, getState`

Field Detail

### OUTPUT_PORT_NAME_RECORDS

    public static final String OUTPUT_PORT_NAME_RECORDS

  The name of the output port delivering the received records.

  See Also:
    Constant Field Values

### CONFIG_PROPERTY_NAME_PORT1

    public static final String CONFIG_PROPERTY_NAME_PORT1

  The name of the configuration determining the TCP port.

  See Also:
    Constant Field Values

### CONFIG_PROPERTY_NAME_PORT2

    public static final String CONFIG_PROPERTY_NAME_PORT2

  The name of the configuration determining the TCP port.

  See Also:
    Constant Field Values

Constructor Detail

### TCPReader

    public TCPReader(Configuration configuration,
                     IProjectContext projectContext)

Method Detail

### init

    public boolean init()

  Description copied from class: `AbstractReaderPlugin`
  Initiates the start of a component. This method is called once when a AnalysisController's run() method is called. This implementation must not be blocking! Asynchronous consumers would spawn (an) asynchronous thread(s) in this method.

  Specified by:
    `init` in interface `IPlugin`
  Overrides:
    `init` in class `AbstractReaderPlugin`
  Returns:
    true on success; false otherwise.

### getCurrentConfiguration

    public Configuration getCurrentConfiguration()

  Description copied from class: `AbstractAnalysisComponent`
  This method should deliver a `Configuration` object containing the current configuration of this instance. In other words: The constructor should be able to use the given object to initialize a new instance of this class with the same intern properties.

  Specified by:
    `getCurrentConfiguration` in interface `IAnalysisComponent`
  Specified by:
    `getCurrentConfiguration` in interface `IPlugin`
  Specified by:
    `getCurrentConfiguration` in class `AbstractAnalysisComponent`
  Returns:
    A completely filled configuration object.

### read

    public boolean read()

  Description copied from interface: `IReaderPlugin`
  Starts the reader. This method is intended to be a blocking operation, i.e., it is assumed that reading has finished before this method returns. The method should indicate an error by the return value false. In asynchronous scenarios, the `IPlugin.terminate(boolean)` method can be used to initiate the termination of this method.

  Returns:
    true if reading was successful; false if an error occurred

### terminate

    public void terminate(boolean error)

  Description copied from interface: `IPlugin`
  Initiates a termination of the plugin. This method is only used by the framework and should not be called manually. Use the method `AnalysisController.terminate(boolean)` instead. After receiving this notification, the plugin should terminate any running methods, e.g., read for readers.

  Parameters:
    `error` - Determines whether the plugin is terminated due to an error or not.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net